org.apache.fop.render.ps

## Interface PSImageHandler

- All Superinterfaces:
    ImageHandler, ImageHandlerBase
  All Known Implementing Classes:
    PSImageHandlerGraphics2D, PSImageHandlerRawCCITTFax, PSImageHandlerRawJPEG, PSImageHandlerRawPNG, PSImageHandlerRenderedImage

      public interface PSImageHandler
      extends ImageHandler

  Specialized image handler interface for PostScript output. Implementations can optionally support creating PostScript forms. The implementation shall check the rendering context to see if forms functionality is enabled in the `ImageHandler.isCompatible(org.apache.fop.render.RenderingContext, org.apache.xmlgraphics.image.loader.Image)` method.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateForm(RenderingContext context, org.apache.xmlgraphics.image.loader.Image image, PSImageFormResource form)` Generates a PostScript form for the given `Image` instance.

    - ### Methods inherited from interface org.apache.fop.render.ImageHandler

      `handleImage, isCompatible`

    - ### Methods inherited from interface org.apache.fop.render.ImageHandlerBase

      `getPriority, getSupportedImageClass, getSupportedImageFlavors`

- - ### Method Detail

    - #### generateForm

          void generateForm(RenderingContext context,
                            org.apache.xmlgraphics.image.loader.Image image,
                            PSImageFormResource form)
                     throws java.io.IOException

      Generates a PostScript form for the given `Image` instance.
      Parameters:
        `context` - the rendering context
        `image` - the image to be handled
        `form` - the associated form resource
      Throws:
        `java.io.IOException` - if an I/O error occurs

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.